GEGELATI

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Learn::ClassificationEvaluationResult Class Reference

Specialization of the EvaluationResult class for classification LearningEnvironment. More...

`#include <classificationEvaluationResult.h>`

Inheritance diagram for Learn::ClassificationEvaluationResult:

## Public Member Functions
| ClassificationEvaluationResult (const std::vector< double > &scores, const std::vector< size_t > &nbEvalPerClass)
| Main constructor of the ClassificationEvaluationResult class.
const std::vector< double > & | getScorePerClass () const
| Get a const ref to the scorePerClass attribute.
const std::vector< size_t > & | getNbEvaluationPerClass () const
| Get a const ref to the nbEvaluationPerClass attribute.
virtual EvaluationResult & | operator+= (const EvaluationResult &other) override
| Override from EvaluationResult.
Public Member Functions inherited from Learn::EvaluationResult
| EvaluationResult ()=delete
| Deleted default constructor.
virtual | ~EvaluationResult ()=default
| Virtual destructor for polymorphism.
| EvaluationResult (const double &res, const size_t &nbEval, const double &uti=std::nan(""))
| Construct a result from a simple double value.
virtual double | getResult () const
| Virtual method to get the default double equivalent of the reward of the EvaluationResult.
virtual double | getUtility () const
| Virtual method to get the default double equivalent of the utility of the EvaluationResult.
virtual size_t | getNbEvaluation () const
| Virtual method to get the default number of evaluation of the EvaluationResult.

## Protected Attributes
std::vector< double > | scorePerClass
| Vector storing a double score per class (i.e. per Action) of a classification LearningEnvironment.
std::vector< size_t > | nbEvaluationPerClass
| Vector storing the number of evaluation for each class of the classification LearningEnvironment.
Protected Attributes inherited from Learn::EvaluationResult
double | result
| Double value for the result.
double | utility
size_t | nbEvaluation
| Number of evaluation leading to this result.

## Detailed Description

Specialization of the EvaluationResult class for classification LearningEnvironment.

The main difference with the base EvaluationResult class is that a score per Action of a learning environment can be stored within this class.

## Constructor & Destructor Documentation

## ◆ ClassificationEvaluationResult()

Learn::ClassificationEvaluationResult::ClassificationEvaluationResult | ( | const std::vector< double > & | scores,
|  | const std::vector< size_t > & | nbEvalPerClass )
| inline

Main constructor of the ClassificationEvaluationResult class.

A ClassificationEvaluationResult storing a score for each class of a classification-oriented LearningEnvironment.

Contrary to the base class EvaluationResult, the number of evaluation stored in a ClassificationEvaluationResult corresponds to the total number of times any action was performed.

Parameters

  [in] | scores | a vector of double storing per-class scores.
  [in] | nbEvalPerClass | a vector of integer storing per-class number of evaluations.

## Member Function Documentation

## ◆ getScorePerClass()

const std::vector< double > & Learn::ClassificationEvaluationResult::getScorePerClass | ( |  | ) | const

Get a const ref to the scorePerClass attribute.

Copyright or © or Copr. IETR/INSA - Rennes (2019 - 2020) :

Karol Desnos kdesn.nosp@m.os@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2019 - 2020)

GEGELATI is an open-source reinforcement learning framework for training artificial intelligence based on Tangled Program Graphs (TPGs).

This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".

As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.

In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security.

The fact that you are presently reading this means that you have had knowledge of the CeCILL-C license and that you accept its terms.

## ◆ operator+=()

Learn::EvaluationResult & Learn::ClassificationEvaluationResult::operator+= | ( | const EvaluationResult & | other | ) |
| override virtual

Override from EvaluationResult.

Exceptions

  std::runtime_error | in case the number of classes of the two ClassificationEvaluationResult are different.

Reimplemented from Learn::EvaluationResult.

The documentation for this class was generated from the following files:

- D:/a/gegelati/gegelati/gegelatilib/include/learn/classificationEvaluationResult.h
- D:/a/gegelati/gegelati/gegelatilib/src/learn/classificationEvaluationResult.cpp